Subject: Re: [PATCH] Implement git clone -v

From: "Shawn O. Pearce" <[email-masked]>
Date: Tue, 7 Oct 2008 23:02:57 -0700

Miklos Vajna <[email-masked]> wrote:
> On Tue, Oct 07, 2008 at 08:21:28AM +0200, Alex Riesen <[email-masked]> wrote:
> > Yes. Does it work? :)
> 
> Yes, it does. I'm not sure how to test it from the testsuite, maybe
> redirect the output to a file and grep in it? It's ugly, that's why I
> did not do so, but if you think a testcase is a musthave for this
> feature then that's the way to go, I guess.

Actually its not a bad way to test the feature.  Normally we disable
progress if stdout is not a tty.  If you redirect to a file then
-v should be needed to get anything at all on stderr.

You may be able to just test the size of the file:

	git fetch -v ... >out 2>err &&
	test -s err

-- 
Shawn.